<?php
/**
 *
 * @author  ahrasis	http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mods	UIAR - (Un)Install Auto Redirect
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function UIAR_Buffers(&$buffer)
{
	global $modSettings, $scripturl, $context, $txt;
	
	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;
	// Define the old and the new
	$uiar = array();
	if (!empty($modSettings['uiar_enable']) && function_exists('PackageInstall')) {

			// Load language(s)
			loadLanguage('UIAR');

			$oricode = $txt['package_installed_redirect_cancel'] . '</a>';
			$newcode = $txt['package_installed_redirect_cancel'] . '</a><br />
				<form action="' . $scripturl . '?action=admin;area=packages" method="post" name="UIAR">
					<div align="right" style="margin: 1ex;"><input type="submit" name="b" value="' . $txt['uiar_continue_manual'] . '" /></div>
				</form>
				<script type="text/javascript"><!-- // --><![CDATA[
					window.onload = doUIAR;
					var countdown = 3;

					function doUIAR()
					{
						if (countdown == 0)
							document.UIAR.submit();
						else if (countdown == -1)
							return;

						document.UIAR.b.value = "' . $txt['uiar_continue_manual'] . ' (" + countdown + ")";
						countdown--;

						setTimeout("doUIAR();", 900);
					}
				//]]></script>';
			$uiar[$oricode] = $newcode;
	}
	// Now let's change them, if we're allowed to
	return str_replace(array_keys($uiar), array_values($uiar), $buffer);
}

function UIAR_Settings(&$config_vars)
{
	global $txt;
	// Load language(s)
	loadLanguage('UIAR');
	// Add setting(s)
	$uiar = array(
			'',
			array('check', 'uiar_enable', 'subtext' => $txt['uiar_to_package_manager']),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $uiar);
}
?>